class Lottery {
    public static Draw(bonus_number: number, ...numbers: Array<number>) /* Return type is inferred... */ {
        return {
            bonus_number: bonus_number,
            date: Date.now(), // For simplicity
            draw: Array.from(numbers)
        }
    }

    public static Draw_(bonus_number: number, ...numbers: Array<number>) /* Return type is inferred... */ {
        return <const>{
            bonus_number: bonus_number,
            date: Date.now(), // For simplicity
            draw: Array.from(numbers)
        }
    }
}

let result = Lottery.Draw(6, 43, 12, 3, 32, 34, 22);
console.assert(result.draw[0] === 43);
result.date = Date.parse('10 Feb 2020 15:50:00 GMT');
result = Lottery.Draw_(6, 43, 12, 3, 32, 34, 22);
// 'result' inferred type is: '{ bonus_number: number, date: Date, draw: Array<number> }'
// so 'date' *CAN BE* changed because of inferred type:
result.date = Date.parse('10 Feb 2020 15:50:00 GMT');
// 'result_' inferred type is: '{ readonly bonus_number: number, readonly date: Date, readonly draw: Array<number> }'
const result_ = Lottery.Draw_(6, 43, 12, 3, 32, 34, 22);
// so 'date' *CANNOT BE* changed because of inferred type:
// result_.date = Date.parse('10 Feb 2020 15:50:00 GMT'); // Compilation error!